[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.AdjustClientRect

Adjusts the client rectangle and sets a grid flag to reflect the change.

## Declaration

Source position: grids.pas line 978

`protected procedure TCustomGrid.AdjustClientRect(`
`var ARect: TRect`
`); override;`

## Arguments

`ARect` |  | Client rectangle adjusted in the method.

## Description

AdjustClientRect is an overridden method used to adjust the client rectangle for the control, and set the grid flag to reflect the change. It calls the inherited method on entry. AdjustClientRect updates the GridFlags property to included the value gfClientRectChange.

The method does not perform any real actions other than setting the flag value in GridFlags. gfClientRectChange indicates that the cached sizes for grid Columns needs to be recalculated for the visible area before the grid control is drawn.

## See also

TCustomGrid.GridFlags |  | Contains grid-specific state flags active for the control.
TCustomGrid.Paint |  | Draws the edges, borders, and rows in the grid control.
TGridFlagsOption |  | Represents state flags used in a grid control.
TWinControl.AdjustClientRect |  | Override this method when the ClientRect for a control differs from the default value.